#!/usr/bin/env python

"""
sysnopsis:
    Convert JSON file to Yaml file.  Write to stdout.
usage:
    json_file_2_yaml_file.py <in_file_path>
example:
    json_file_2_yaml_file.py my_json_file.json
"""


import sys
import yaml


def convert(path):
    with open(path, 'r') as infile:
        data = yaml.load(infile, yaml.SafeLoader)
        str_data = yaml.dump(data)
        print(str_data)


def main():
    args = sys.argv[1:]
    if len(args) != 1:
        sys.exit(__doc__)
    path = args[0]
    convert(path)


if __name__ == '__main__':
    main()
